## org.apache.lucene.search
Class FieldCache.CacheEntry

    java.lang.Object
      org.apache.lucene.search.FieldCache.CacheEntry

Enclosing interface:
  FieldCache

    public abstract static class FieldCache.CacheEntry

extends Object

EXPERT: A unique Identifier/Description for each item in the FieldCache. Can be useful for logging/debugging.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`FieldCache.CacheEntry()`

Method Summary
`void` `estimateSize()` Computes (and stores) the estimated size of the cache Value
`abstract Class<?>` `getCacheType()`
`abstract Object` `getCustom()`
`String` `getEstimatedSize()` The most recently estimated size of the value, null unless estimateSize has been called.
`abstract String` `getFieldName()`
`abstract Object` `getReaderKey()`
`abstract Object` `getValue()`
`protected void` `setEstimatedSize(String size)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldCache.CacheEntry

    public FieldCache.CacheEntry()

Method Detail

### getReaderKey

    public abstract Object getReaderKey()

### getFieldName

    public abstract String getFieldName()

### getCacheType

    public abstract Class<?> getCacheType()

### getCustom

    public abstract Object getCustom()

### getValue

    public abstract Object getValue()

### setEstimatedSize

    protected final void setEstimatedSize(String size)

### estimateSize

    public void estimateSize()

  Computes (and stores) the estimated size of the cache Value

  See Also:
    `getEstimatedSize()`

### getEstimatedSize

    public final String getEstimatedSize()

  The most recently estimated size of the value, null unless estimateSize has been called.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`